datacenters

package
v0.0.1 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Dec 8, 2023 License: Apache-2.0 Imports: 15 Imported by: 0

Documentation

Index

Constants

View Source
const DeleteDatacentersDatacenterIDNoContentCode int = 204

DeleteDatacentersDatacenterIDNoContentCode is the HTTP code returned for type DeleteDatacentersDatacenterIDNoContent

View Source
const DeleteDatacentersDatacenterIDNotFoundCode int = 404

DeleteDatacentersDatacenterIDNotFoundCode is the HTTP code returned for type DeleteDatacentersDatacenterIDNotFound

View Source
const GetDatacentersBadRequestCode int = 400

GetDatacentersBadRequestCode is the HTTP code returned for type GetDatacentersBadRequest

View Source
const GetDatacentersDatacenterIDNotFoundCode int = 404

GetDatacentersDatacenterIDNotFoundCode is the HTTP code returned for type GetDatacentersDatacenterIDNotFound

View Source
const GetDatacentersDatacenterIDOKCode int = 200

GetDatacentersDatacenterIDOKCode is the HTTP code returned for type GetDatacentersDatacenterIDOK

View Source
const GetDatacentersOKCode int = 200

GetDatacentersOKCode is the HTTP code returned for type GetDatacentersOK

View Source
const PostDatacentersCreatedCode int = 201

PostDatacentersCreatedCode is the HTTP code returned for type PostDatacentersCreated

View Source
const PostDatacentersNotFoundCode int = 404

PostDatacentersNotFoundCode is the HTTP code returned for type PostDatacentersNotFound

View Source
const PutDatacentersDatacenterIDAcceptedCode int = 202

PutDatacentersDatacenterIDAcceptedCode is the HTTP code returned for type PutDatacentersDatacenterIDAccepted

View Source
const PutDatacentersDatacenterIDNotFoundCode int = 404

PutDatacentersDatacenterIDNotFoundCode is the HTTP code returned for type PutDatacentersDatacenterIDNotFound

Variables

This section is empty.

Functions

This section is empty.

Types

type DeleteDatacentersDatacenterID

type DeleteDatacentersDatacenterID struct {
	Context *middleware.Context
	Handler DeleteDatacentersDatacenterIDHandler
}
DeleteDatacentersDatacenterID swagger:route DELETE /datacenters/{datacenter_id} Datacenters deleteDatacentersDatacenterId

Delete a datacenter

func NewDeleteDatacentersDatacenterID

func NewDeleteDatacentersDatacenterID(ctx *middleware.Context, handler DeleteDatacentersDatacenterIDHandler) *DeleteDatacentersDatacenterID

NewDeleteDatacentersDatacenterID creates a new http.Handler for the delete datacenters datacenter ID operation

func (*DeleteDatacentersDatacenterID) ServeHTTP

type DeleteDatacentersDatacenterIDDefault

type DeleteDatacentersDatacenterIDDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

DeleteDatacentersDatacenterIDDefault Unexpected Error

swagger:response deleteDatacentersDatacenterIdDefault

func NewDeleteDatacentersDatacenterIDDefault

func NewDeleteDatacentersDatacenterIDDefault(code int) *DeleteDatacentersDatacenterIDDefault

NewDeleteDatacentersDatacenterIDDefault creates DeleteDatacentersDatacenterIDDefault with default headers values

func (*DeleteDatacentersDatacenterIDDefault) SetPayload

func (o *DeleteDatacentersDatacenterIDDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the delete datacenters datacenter ID default response

func (*DeleteDatacentersDatacenterIDDefault) SetStatusCode

func (o *DeleteDatacentersDatacenterIDDefault) SetStatusCode(code int)

SetStatusCode sets the status to the delete datacenters datacenter ID default response

func (*DeleteDatacentersDatacenterIDDefault) WithPayload

WithPayload adds the payload to the delete datacenters datacenter ID default response

func (*DeleteDatacentersDatacenterIDDefault) WithStatusCode

WithStatusCode adds the status to the delete datacenters datacenter ID default response

func (*DeleteDatacentersDatacenterIDDefault) WriteResponse

WriteResponse to the client

type DeleteDatacentersDatacenterIDHandler

type DeleteDatacentersDatacenterIDHandler interface {
	Handle(DeleteDatacentersDatacenterIDParams) middleware.Responder
}

DeleteDatacentersDatacenterIDHandler interface for that can handle valid delete datacenters datacenter ID params

type DeleteDatacentersDatacenterIDHandlerFunc

type DeleteDatacentersDatacenterIDHandlerFunc func(DeleteDatacentersDatacenterIDParams) middleware.Responder

DeleteDatacentersDatacenterIDHandlerFunc turns a function with the right signature into a delete datacenters datacenter ID handler

func (DeleteDatacentersDatacenterIDHandlerFunc) Handle

Handle executing the request and returning a response

type DeleteDatacentersDatacenterIDNoContent

type DeleteDatacentersDatacenterIDNoContent struct {
}

DeleteDatacentersDatacenterIDNoContent Resource successfully deleted.

swagger:response deleteDatacentersDatacenterIdNoContent

func NewDeleteDatacentersDatacenterIDNoContent

func NewDeleteDatacentersDatacenterIDNoContent() *DeleteDatacentersDatacenterIDNoContent

NewDeleteDatacentersDatacenterIDNoContent creates DeleteDatacentersDatacenterIDNoContent with default headers values

func (*DeleteDatacentersDatacenterIDNoContent) WriteResponse

WriteResponse to the client

type DeleteDatacentersDatacenterIDNotFound

type DeleteDatacentersDatacenterIDNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

DeleteDatacentersDatacenterIDNotFound Not Found

swagger:response deleteDatacentersDatacenterIdNotFound

func NewDeleteDatacentersDatacenterIDNotFound

func NewDeleteDatacentersDatacenterIDNotFound() *DeleteDatacentersDatacenterIDNotFound

NewDeleteDatacentersDatacenterIDNotFound creates DeleteDatacentersDatacenterIDNotFound with default headers values

func (*DeleteDatacentersDatacenterIDNotFound) SetPayload

func (o *DeleteDatacentersDatacenterIDNotFound) SetPayload(payload *models.Error)

SetPayload sets the payload to the delete datacenters datacenter Id not found response

func (*DeleteDatacentersDatacenterIDNotFound) WithPayload

WithPayload adds the payload to the delete datacenters datacenter Id not found response

func (*DeleteDatacentersDatacenterIDNotFound) WriteResponse

WriteResponse to the client

type DeleteDatacentersDatacenterIDParams

type DeleteDatacentersDatacenterIDParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*The UUID of the datacenter
	  Required: true
	  In: path
	*/
	DatacenterID strfmt.UUID
}

DeleteDatacentersDatacenterIDParams contains all the bound params for the delete datacenters datacenter ID operation typically these are obtained from a http.Request

swagger:parameters DeleteDatacentersDatacenterID

func NewDeleteDatacentersDatacenterIDParams

func NewDeleteDatacentersDatacenterIDParams() DeleteDatacentersDatacenterIDParams

NewDeleteDatacentersDatacenterIDParams creates a new DeleteDatacentersDatacenterIDParams object

There are no default values defined in the spec.

func (*DeleteDatacentersDatacenterIDParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewDeleteDatacentersDatacenterIDParams() beforehand.

type DeleteDatacentersDatacenterIDURL

type DeleteDatacentersDatacenterIDURL struct {
	DatacenterID strfmt.UUID
	// contains filtered or unexported fields
}

DeleteDatacentersDatacenterIDURL generates an URL for the delete datacenters datacenter ID operation

func (*DeleteDatacentersDatacenterIDURL) Build

Build a url path and query string

func (*DeleteDatacentersDatacenterIDURL) BuildFull

func (o *DeleteDatacentersDatacenterIDURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*DeleteDatacentersDatacenterIDURL) Must

Must is a helper function to panic when the url builder returns an error

func (*DeleteDatacentersDatacenterIDURL) SetBasePath

func (o *DeleteDatacentersDatacenterIDURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*DeleteDatacentersDatacenterIDURL) String

String returns the string representation of the path with query string

func (*DeleteDatacentersDatacenterIDURL) StringFull

func (o *DeleteDatacentersDatacenterIDURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*DeleteDatacentersDatacenterIDURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetDatacenters

type GetDatacenters struct {
	Context *middleware.Context
	Handler GetDatacentersHandler
}
GetDatacenters swagger:route GET /datacenters Datacenters getDatacenters

List datacenters

func NewGetDatacenters

func NewGetDatacenters(ctx *middleware.Context, handler GetDatacentersHandler) *GetDatacenters

NewGetDatacenters creates a new http.Handler for the get datacenters operation

func (*GetDatacenters) ServeHTTP

func (o *GetDatacenters) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetDatacentersBadRequest

type GetDatacentersBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetDatacentersBadRequest Bad request

swagger:response getDatacentersBadRequest

func NewGetDatacentersBadRequest

func NewGetDatacentersBadRequest() *GetDatacentersBadRequest

NewGetDatacentersBadRequest creates GetDatacentersBadRequest with default headers values

func (*GetDatacentersBadRequest) SetPayload

func (o *GetDatacentersBadRequest) SetPayload(payload *models.Error)

SetPayload sets the payload to the get datacenters bad request response

func (*GetDatacentersBadRequest) WithPayload

WithPayload adds the payload to the get datacenters bad request response

func (*GetDatacentersBadRequest) WriteResponse

func (o *GetDatacentersBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetDatacentersDatacenterID

type GetDatacentersDatacenterID struct {
	Context *middleware.Context
	Handler GetDatacentersDatacenterIDHandler
}
GetDatacentersDatacenterID swagger:route GET /datacenters/{datacenter_id} Datacenters getDatacentersDatacenterId

Show datacenter detail

func NewGetDatacentersDatacenterID

func NewGetDatacentersDatacenterID(ctx *middleware.Context, handler GetDatacentersDatacenterIDHandler) *GetDatacentersDatacenterID

NewGetDatacentersDatacenterID creates a new http.Handler for the get datacenters datacenter ID operation

func (*GetDatacentersDatacenterID) ServeHTTP

type GetDatacentersDatacenterIDDefault

type GetDatacentersDatacenterIDDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetDatacentersDatacenterIDDefault Unexpected Error

swagger:response getDatacentersDatacenterIdDefault

func NewGetDatacentersDatacenterIDDefault

func NewGetDatacentersDatacenterIDDefault(code int) *GetDatacentersDatacenterIDDefault

NewGetDatacentersDatacenterIDDefault creates GetDatacentersDatacenterIDDefault with default headers values

func (*GetDatacentersDatacenterIDDefault) SetPayload

func (o *GetDatacentersDatacenterIDDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get datacenters datacenter ID default response

func (*GetDatacentersDatacenterIDDefault) SetStatusCode

func (o *GetDatacentersDatacenterIDDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get datacenters datacenter ID default response

func (*GetDatacentersDatacenterIDDefault) WithPayload

WithPayload adds the payload to the get datacenters datacenter ID default response

func (*GetDatacentersDatacenterIDDefault) WithStatusCode

WithStatusCode adds the status to the get datacenters datacenter ID default response

func (*GetDatacentersDatacenterIDDefault) WriteResponse

func (o *GetDatacentersDatacenterIDDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetDatacentersDatacenterIDHandler

type GetDatacentersDatacenterIDHandler interface {
	Handle(GetDatacentersDatacenterIDParams) middleware.Responder
}

GetDatacentersDatacenterIDHandler interface for that can handle valid get datacenters datacenter ID params

type GetDatacentersDatacenterIDHandlerFunc

type GetDatacentersDatacenterIDHandlerFunc func(GetDatacentersDatacenterIDParams) middleware.Responder

GetDatacentersDatacenterIDHandlerFunc turns a function with the right signature into a get datacenters datacenter ID handler

func (GetDatacentersDatacenterIDHandlerFunc) Handle

Handle executing the request and returning a response

type GetDatacentersDatacenterIDNotFound

type GetDatacentersDatacenterIDNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetDatacentersDatacenterIDNotFound Not Found

swagger:response getDatacentersDatacenterIdNotFound

func NewGetDatacentersDatacenterIDNotFound

func NewGetDatacentersDatacenterIDNotFound() *GetDatacentersDatacenterIDNotFound

NewGetDatacentersDatacenterIDNotFound creates GetDatacentersDatacenterIDNotFound with default headers values

func (*GetDatacentersDatacenterIDNotFound) SetPayload

func (o *GetDatacentersDatacenterIDNotFound) SetPayload(payload *models.Error)

SetPayload sets the payload to the get datacenters datacenter Id not found response

func (*GetDatacentersDatacenterIDNotFound) WithPayload

WithPayload adds the payload to the get datacenters datacenter Id not found response

func (*GetDatacentersDatacenterIDNotFound) WriteResponse

WriteResponse to the client

type GetDatacentersDatacenterIDOK

type GetDatacentersDatacenterIDOK struct {

	/*
	  In: Body
	*/
	Payload *GetDatacentersDatacenterIDOKBody `json:"body,omitempty"`
}

GetDatacentersDatacenterIDOK Shows the details of a specific datacenter.

swagger:response getDatacentersDatacenterIdOK

func NewGetDatacentersDatacenterIDOK

func NewGetDatacentersDatacenterIDOK() *GetDatacentersDatacenterIDOK

NewGetDatacentersDatacenterIDOK creates GetDatacentersDatacenterIDOK with default headers values

func (*GetDatacentersDatacenterIDOK) SetPayload

SetPayload sets the payload to the get datacenters datacenter Id o k response

func (*GetDatacentersDatacenterIDOK) WithPayload

WithPayload adds the payload to the get datacenters datacenter Id o k response

func (*GetDatacentersDatacenterIDOK) WriteResponse

func (o *GetDatacentersDatacenterIDOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetDatacentersDatacenterIDOKBody

type GetDatacentersDatacenterIDOKBody struct {

	// datacenter
	Datacenter *models.Datacenter `json:"datacenter,omitempty"`
}

GetDatacentersDatacenterIDOKBody get datacenters datacenter ID o k body

swagger:model GetDatacentersDatacenterIDOKBody

func (*GetDatacentersDatacenterIDOKBody) ContextValidate

func (o *GetDatacentersDatacenterIDOKBody) ContextValidate(ctx context.Context, formats strfmt.Registry) error

ContextValidate validate this get datacenters datacenter ID o k body based on the context it is used

func (*GetDatacentersDatacenterIDOKBody) MarshalBinary

func (o *GetDatacentersDatacenterIDOKBody) MarshalBinary() ([]byte, error)

MarshalBinary interface implementation

func (*GetDatacentersDatacenterIDOKBody) UnmarshalBinary

func (o *GetDatacentersDatacenterIDOKBody) UnmarshalBinary(b []byte) error

UnmarshalBinary interface implementation

func (*GetDatacentersDatacenterIDOKBody) Validate

Validate validates this get datacenters datacenter ID o k body

type GetDatacentersDatacenterIDParams

type GetDatacentersDatacenterIDParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*The UUID of the datacenter
	  Required: true
	  In: path
	*/
	DatacenterID strfmt.UUID
}

GetDatacentersDatacenterIDParams contains all the bound params for the get datacenters datacenter ID operation typically these are obtained from a http.Request

swagger:parameters GetDatacentersDatacenterID

func NewGetDatacentersDatacenterIDParams

func NewGetDatacentersDatacenterIDParams() GetDatacentersDatacenterIDParams

NewGetDatacentersDatacenterIDParams creates a new GetDatacentersDatacenterIDParams object

There are no default values defined in the spec.

func (*GetDatacentersDatacenterIDParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetDatacentersDatacenterIDParams() beforehand.

type GetDatacentersDatacenterIDURL

type GetDatacentersDatacenterIDURL struct {
	DatacenterID strfmt.UUID
	// contains filtered or unexported fields
}

GetDatacentersDatacenterIDURL generates an URL for the get datacenters datacenter ID operation

func (*GetDatacentersDatacenterIDURL) Build

func (o *GetDatacentersDatacenterIDURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetDatacentersDatacenterIDURL) BuildFull

func (o *GetDatacentersDatacenterIDURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetDatacentersDatacenterIDURL) Must

func (o *GetDatacentersDatacenterIDURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetDatacentersDatacenterIDURL) SetBasePath

func (o *GetDatacentersDatacenterIDURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetDatacentersDatacenterIDURL) String

String returns the string representation of the path with query string

func (*GetDatacentersDatacenterIDURL) StringFull

func (o *GetDatacentersDatacenterIDURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetDatacentersDatacenterIDURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetDatacentersDefault

type GetDatacentersDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetDatacentersDefault Unexpected Error

swagger:response getDatacentersDefault

func NewGetDatacentersDefault

func NewGetDatacentersDefault(code int) *GetDatacentersDefault

NewGetDatacentersDefault creates GetDatacentersDefault with default headers values

func (*GetDatacentersDefault) SetPayload

func (o *GetDatacentersDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get datacenters default response

func (*GetDatacentersDefault) SetStatusCode

func (o *GetDatacentersDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get datacenters default response

func (*GetDatacentersDefault) WithPayload

func (o *GetDatacentersDefault) WithPayload(payload *models.Error) *GetDatacentersDefault

WithPayload adds the payload to the get datacenters default response

func (*GetDatacentersDefault) WithStatusCode

func (o *GetDatacentersDefault) WithStatusCode(code int) *GetDatacentersDefault

WithStatusCode adds the status to the get datacenters default response

func (*GetDatacentersDefault) WriteResponse

func (o *GetDatacentersDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetDatacentersHandler

type GetDatacentersHandler interface {
	Handle(GetDatacentersParams) middleware.Responder
}

GetDatacentersHandler interface for that can handle valid get datacenters params

type GetDatacentersHandlerFunc

type GetDatacentersHandlerFunc func(GetDatacentersParams) middleware.Responder

GetDatacentersHandlerFunc turns a function with the right signature into a get datacenters handler

func (GetDatacentersHandlerFunc) Handle

Handle executing the request and returning a response

type GetDatacentersOK

type GetDatacentersOK struct {

	/*
	  In: Body
	*/
	Payload *GetDatacentersOKBody `json:"body,omitempty"`
}

GetDatacentersOK A JSON array of datacenters

swagger:response getDatacentersOK

func NewGetDatacentersOK

func NewGetDatacentersOK() *GetDatacentersOK

NewGetDatacentersOK creates GetDatacentersOK with default headers values

func (*GetDatacentersOK) SetPayload

func (o *GetDatacentersOK) SetPayload(payload *GetDatacentersOKBody)

SetPayload sets the payload to the get datacenters o k response

func (*GetDatacentersOK) WithPayload

func (o *GetDatacentersOK) WithPayload(payload *GetDatacentersOKBody) *GetDatacentersOK

WithPayload adds the payload to the get datacenters o k response

func (*GetDatacentersOK) WriteResponse

func (o *GetDatacentersOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetDatacentersOKBody

type GetDatacentersOKBody struct {

	// datacenters
	Datacenters []*models.Datacenter `json:"datacenters"`

	// links
	Links []*models.Link `json:"links,omitempty"`
}

GetDatacentersOKBody get datacenters o k body

swagger:model GetDatacentersOKBody

func (*GetDatacentersOKBody) ContextValidate

func (o *GetDatacentersOKBody) ContextValidate(ctx context.Context, formats strfmt.Registry) error

ContextValidate validate this get datacenters o k body based on the context it is used

func (*GetDatacentersOKBody) MarshalBinary

func (o *GetDatacentersOKBody) MarshalBinary() ([]byte, error)

MarshalBinary interface implementation

func (*GetDatacentersOKBody) UnmarshalBinary

func (o *GetDatacentersOKBody) UnmarshalBinary(b []byte) error

UnmarshalBinary interface implementation

func (*GetDatacentersOKBody) Validate

func (o *GetDatacentersOKBody) Validate(formats strfmt.Registry) error

Validate validates this get datacenters o k body

type GetDatacentersParams

type GetDatacentersParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*Sets the page size.
	  In: query
	*/
	Limit *int64
	/*Pagination ID of the last item in the previous list.
	  In: query
	*/
	Marker *strfmt.UUID
	/*Filter for resources not having tags, multiple not-tags are considered as logical AND.
	Should be provided in a comma separated list.

	  In: query
	*/
	NotTags []string
	/*Filter for resources not having tags, multiple tags are considered as logical OR.
	Should be provided in a comma separated list.

	  In: query
	*/
	NotTagsAny []string
	/*Sets the page direction.
	  In: query
	*/
	PageReverse *bool
	/*Comma-separated list of sort keys, optinally prefix with - to reverse sort order.
	  In: query
	*/
	Sort *string
	/*Filter for tags, multiple tags are considered as logical AND.
	Should be provided in a comma separated list.

	  In: query
	*/
	Tags []string
	/*Filter for tags, multiple tags are considered as logical OR.
	Should be provided in a comma separated list.

	  In: query
	*/
	TagsAny []string
}

GetDatacentersParams contains all the bound params for the get datacenters operation typically these are obtained from a http.Request

swagger:parameters GetDatacenters

func NewGetDatacentersParams

func NewGetDatacentersParams() GetDatacentersParams

NewGetDatacentersParams creates a new GetDatacentersParams object

There are no default values defined in the spec.

func (*GetDatacentersParams) BindRequest

func (o *GetDatacentersParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetDatacentersParams() beforehand.

type GetDatacentersURL

type GetDatacentersURL struct {
	Limit       *int64
	Marker      *strfmt.UUID
	NotTags     []string
	NotTagsAny  []string
	PageReverse *bool
	Sort        *string
	Tags        []string
	TagsAny     []string
	// contains filtered or unexported fields
}

GetDatacentersURL generates an URL for the get datacenters operation

func (*GetDatacentersURL) Build

func (o *GetDatacentersURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetDatacentersURL) BuildFull

func (o *GetDatacentersURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetDatacentersURL) Must

func (o *GetDatacentersURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetDatacentersURL) SetBasePath

func (o *GetDatacentersURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetDatacentersURL) String

func (o *GetDatacentersURL) String() string

String returns the string representation of the path with query string

func (*GetDatacentersURL) StringFull

func (o *GetDatacentersURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetDatacentersURL) WithBasePath

func (o *GetDatacentersURL) WithBasePath(bp string) *GetDatacentersURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type PostDatacenters

type PostDatacenters struct {
	Context *middleware.Context
	Handler PostDatacentersHandler
}
PostDatacenters swagger:route POST /datacenters Datacenters postDatacenters

Create new datacenter

func NewPostDatacenters

func NewPostDatacenters(ctx *middleware.Context, handler PostDatacentersHandler) *PostDatacenters

NewPostDatacenters creates a new http.Handler for the post datacenters operation

func (*PostDatacenters) ServeHTTP

func (o *PostDatacenters) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type PostDatacentersBody

type PostDatacentersBody struct {

	// datacenter
	// Required: true
	Datacenter *models.Datacenter `json:"datacenter"`
}

PostDatacentersBody post datacenters body

swagger:model PostDatacentersBody

func (*PostDatacentersBody) ContextValidate

func (o *PostDatacentersBody) ContextValidate(ctx context.Context, formats strfmt.Registry) error

ContextValidate validate this post datacenters body based on the context it is used

func (*PostDatacentersBody) MarshalBinary

func (o *PostDatacentersBody) MarshalBinary() ([]byte, error)

MarshalBinary interface implementation

func (*PostDatacentersBody) UnmarshalBinary

func (o *PostDatacentersBody) UnmarshalBinary(b []byte) error

UnmarshalBinary interface implementation

func (*PostDatacentersBody) Validate

func (o *PostDatacentersBody) Validate(formats strfmt.Registry) error

Validate validates this post datacenters body

type PostDatacentersCreated

type PostDatacentersCreated struct {

	/*
	  In: Body
	*/
	Payload *PostDatacentersCreatedBody `json:"body,omitempty"`
}

PostDatacentersCreated Created datacenter.

swagger:response postDatacentersCreated

func NewPostDatacentersCreated

func NewPostDatacentersCreated() *PostDatacentersCreated

NewPostDatacentersCreated creates PostDatacentersCreated with default headers values

func (*PostDatacentersCreated) SetPayload

func (o *PostDatacentersCreated) SetPayload(payload *PostDatacentersCreatedBody)

SetPayload sets the payload to the post datacenters created response

func (*PostDatacentersCreated) WithPayload

WithPayload adds the payload to the post datacenters created response

func (*PostDatacentersCreated) WriteResponse

func (o *PostDatacentersCreated) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PostDatacentersCreatedBody

type PostDatacentersCreatedBody struct {

	// datacenter
	Datacenter *models.Datacenter `json:"datacenter,omitempty"`
}

PostDatacentersCreatedBody post datacenters created body

swagger:model PostDatacentersCreatedBody

func (*PostDatacentersCreatedBody) ContextValidate

func (o *PostDatacentersCreatedBody) ContextValidate(ctx context.Context, formats strfmt.Registry) error

ContextValidate validate this post datacenters created body based on the context it is used

func (*PostDatacentersCreatedBody) MarshalBinary

func (o *PostDatacentersCreatedBody) MarshalBinary() ([]byte, error)

MarshalBinary interface implementation

func (*PostDatacentersCreatedBody) UnmarshalBinary

func (o *PostDatacentersCreatedBody) UnmarshalBinary(b []byte) error

UnmarshalBinary interface implementation

func (*PostDatacentersCreatedBody) Validate

func (o *PostDatacentersCreatedBody) Validate(formats strfmt.Registry) error

Validate validates this post datacenters created body

type PostDatacentersDefault

type PostDatacentersDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

PostDatacentersDefault Unexpected Error

swagger:response postDatacentersDefault

func NewPostDatacentersDefault

func NewPostDatacentersDefault(code int) *PostDatacentersDefault

NewPostDatacentersDefault creates PostDatacentersDefault with default headers values

func (*PostDatacentersDefault) SetPayload

func (o *PostDatacentersDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the post datacenters default response

func (*PostDatacentersDefault) SetStatusCode

func (o *PostDatacentersDefault) SetStatusCode(code int)

SetStatusCode sets the status to the post datacenters default response

func (*PostDatacentersDefault) WithPayload

func (o *PostDatacentersDefault) WithPayload(payload *models.Error) *PostDatacentersDefault

WithPayload adds the payload to the post datacenters default response

func (*PostDatacentersDefault) WithStatusCode

func (o *PostDatacentersDefault) WithStatusCode(code int) *PostDatacentersDefault

WithStatusCode adds the status to the post datacenters default response

func (*PostDatacentersDefault) WriteResponse

func (o *PostDatacentersDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PostDatacentersHandler

type PostDatacentersHandler interface {
	Handle(PostDatacentersParams) middleware.Responder
}

PostDatacentersHandler interface for that can handle valid post datacenters params

type PostDatacentersHandlerFunc

type PostDatacentersHandlerFunc func(PostDatacentersParams) middleware.Responder

PostDatacentersHandlerFunc turns a function with the right signature into a post datacenters handler

func (PostDatacentersHandlerFunc) Handle

Handle executing the request and returning a response

type PostDatacentersNotFound

type PostDatacentersNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

PostDatacentersNotFound Not Found

swagger:response postDatacentersNotFound

func NewPostDatacentersNotFound

func NewPostDatacentersNotFound() *PostDatacentersNotFound

NewPostDatacentersNotFound creates PostDatacentersNotFound with default headers values

func (*PostDatacentersNotFound) SetPayload

func (o *PostDatacentersNotFound) SetPayload(payload *models.Error)

SetPayload sets the payload to the post datacenters not found response

func (*PostDatacentersNotFound) WithPayload

func (o *PostDatacentersNotFound) WithPayload(payload *models.Error) *PostDatacentersNotFound

WithPayload adds the payload to the post datacenters not found response

func (*PostDatacentersNotFound) WriteResponse

func (o *PostDatacentersNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PostDatacentersParams

type PostDatacentersParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: body
	*/
	Datacenter PostDatacentersBody
}

PostDatacentersParams contains all the bound params for the post datacenters operation typically these are obtained from a http.Request

swagger:parameters PostDatacenters

func NewPostDatacentersParams

func NewPostDatacentersParams() PostDatacentersParams

NewPostDatacentersParams creates a new PostDatacentersParams object

There are no default values defined in the spec.

func (*PostDatacentersParams) BindRequest

func (o *PostDatacentersParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewPostDatacentersParams() beforehand.

type PostDatacentersURL

type PostDatacentersURL struct {
	// contains filtered or unexported fields
}

PostDatacentersURL generates an URL for the post datacenters operation

func (*PostDatacentersURL) Build

func (o *PostDatacentersURL) Build() (*url.URL, error)

Build a url path and query string

func (*PostDatacentersURL) BuildFull

func (o *PostDatacentersURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*PostDatacentersURL) Must

func (o *PostDatacentersURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*PostDatacentersURL) SetBasePath

func (o *PostDatacentersURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*PostDatacentersURL) String

func (o *PostDatacentersURL) String() string

String returns the string representation of the path with query string

func (*PostDatacentersURL) StringFull

func (o *PostDatacentersURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*PostDatacentersURL) WithBasePath

func (o *PostDatacentersURL) WithBasePath(bp string) *PostDatacentersURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type PutDatacentersDatacenterID

type PutDatacentersDatacenterID struct {
	Context *middleware.Context
	Handler PutDatacentersDatacenterIDHandler
}
PutDatacentersDatacenterID swagger:route PUT /datacenters/{datacenter_id} Datacenters putDatacentersDatacenterId

Update a datacenter

func NewPutDatacentersDatacenterID

func NewPutDatacentersDatacenterID(ctx *middleware.Context, handler PutDatacentersDatacenterIDHandler) *PutDatacentersDatacenterID

NewPutDatacentersDatacenterID creates a new http.Handler for the put datacenters datacenter ID operation

func (*PutDatacentersDatacenterID) ServeHTTP

type PutDatacentersDatacenterIDAccepted

type PutDatacentersDatacenterIDAccepted struct {

	/*
	  In: Body
	*/
	Payload *PutDatacentersDatacenterIDAcceptedBody `json:"body,omitempty"`
}

PutDatacentersDatacenterIDAccepted Updated datacenter.

swagger:response putDatacentersDatacenterIdAccepted

func NewPutDatacentersDatacenterIDAccepted

func NewPutDatacentersDatacenterIDAccepted() *PutDatacentersDatacenterIDAccepted

NewPutDatacentersDatacenterIDAccepted creates PutDatacentersDatacenterIDAccepted with default headers values

func (*PutDatacentersDatacenterIDAccepted) SetPayload

SetPayload sets the payload to the put datacenters datacenter Id accepted response

func (*PutDatacentersDatacenterIDAccepted) WithPayload

WithPayload adds the payload to the put datacenters datacenter Id accepted response

func (*PutDatacentersDatacenterIDAccepted) WriteResponse

WriteResponse to the client

type PutDatacentersDatacenterIDAcceptedBody

type PutDatacentersDatacenterIDAcceptedBody struct {

	// datacenter
	Datacenter *models.Datacenter `json:"datacenter,omitempty"`
}

PutDatacentersDatacenterIDAcceptedBody put datacenters datacenter ID accepted body

swagger:model PutDatacentersDatacenterIDAcceptedBody

func (*PutDatacentersDatacenterIDAcceptedBody) ContextValidate

ContextValidate validate this put datacenters datacenter ID accepted body based on the context it is used

func (*PutDatacentersDatacenterIDAcceptedBody) MarshalBinary

func (o *PutDatacentersDatacenterIDAcceptedBody) MarshalBinary() ([]byte, error)

MarshalBinary interface implementation

func (*PutDatacentersDatacenterIDAcceptedBody) UnmarshalBinary

func (o *PutDatacentersDatacenterIDAcceptedBody) UnmarshalBinary(b []byte) error

UnmarshalBinary interface implementation

func (*PutDatacentersDatacenterIDAcceptedBody) Validate

Validate validates this put datacenters datacenter ID accepted body

type PutDatacentersDatacenterIDBody

type PutDatacentersDatacenterIDBody struct {

	// datacenter
	// Required: true
	Datacenter *models.Datacenter `json:"datacenter"`
}

PutDatacentersDatacenterIDBody put datacenters datacenter ID body

swagger:model PutDatacentersDatacenterIDBody

func (*PutDatacentersDatacenterIDBody) ContextValidate

func (o *PutDatacentersDatacenterIDBody) ContextValidate(ctx context.Context, formats strfmt.Registry) error

ContextValidate validate this put datacenters datacenter ID body based on the context it is used

func (*PutDatacentersDatacenterIDBody) MarshalBinary

func (o *PutDatacentersDatacenterIDBody) MarshalBinary() ([]byte, error)

MarshalBinary interface implementation

func (*PutDatacentersDatacenterIDBody) UnmarshalBinary

func (o *PutDatacentersDatacenterIDBody) UnmarshalBinary(b []byte) error

UnmarshalBinary interface implementation

func (*PutDatacentersDatacenterIDBody) Validate

func (o *PutDatacentersDatacenterIDBody) Validate(formats strfmt.Registry) error

Validate validates this put datacenters datacenter ID body

type PutDatacentersDatacenterIDDefault

type PutDatacentersDatacenterIDDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

PutDatacentersDatacenterIDDefault Unexpected Error

swagger:response putDatacentersDatacenterIdDefault

func NewPutDatacentersDatacenterIDDefault

func NewPutDatacentersDatacenterIDDefault(code int) *PutDatacentersDatacenterIDDefault

NewPutDatacentersDatacenterIDDefault creates PutDatacentersDatacenterIDDefault with default headers values

func (*PutDatacentersDatacenterIDDefault) SetPayload

func (o *PutDatacentersDatacenterIDDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the put datacenters datacenter ID default response

func (*PutDatacentersDatacenterIDDefault) SetStatusCode

func (o *PutDatacentersDatacenterIDDefault) SetStatusCode(code int)

SetStatusCode sets the status to the put datacenters datacenter ID default response

func (*PutDatacentersDatacenterIDDefault) WithPayload

WithPayload adds the payload to the put datacenters datacenter ID default response

func (*PutDatacentersDatacenterIDDefault) WithStatusCode

WithStatusCode adds the status to the put datacenters datacenter ID default response

func (*PutDatacentersDatacenterIDDefault) WriteResponse

func (o *PutDatacentersDatacenterIDDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PutDatacentersDatacenterIDHandler

type PutDatacentersDatacenterIDHandler interface {
	Handle(PutDatacentersDatacenterIDParams) middleware.Responder
}

PutDatacentersDatacenterIDHandler interface for that can handle valid put datacenters datacenter ID params

type PutDatacentersDatacenterIDHandlerFunc

type PutDatacentersDatacenterIDHandlerFunc func(PutDatacentersDatacenterIDParams) middleware.Responder

PutDatacentersDatacenterIDHandlerFunc turns a function with the right signature into a put datacenters datacenter ID handler

func (PutDatacentersDatacenterIDHandlerFunc) Handle

Handle executing the request and returning a response

type PutDatacentersDatacenterIDNotFound

type PutDatacentersDatacenterIDNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

PutDatacentersDatacenterIDNotFound Not Found

swagger:response putDatacentersDatacenterIdNotFound

func NewPutDatacentersDatacenterIDNotFound

func NewPutDatacentersDatacenterIDNotFound() *PutDatacentersDatacenterIDNotFound

NewPutDatacentersDatacenterIDNotFound creates PutDatacentersDatacenterIDNotFound with default headers values

func (*PutDatacentersDatacenterIDNotFound) SetPayload

func (o *PutDatacentersDatacenterIDNotFound) SetPayload(payload *models.Error)

SetPayload sets the payload to the put datacenters datacenter Id not found response

func (*PutDatacentersDatacenterIDNotFound) WithPayload

WithPayload adds the payload to the put datacenters datacenter Id not found response

func (*PutDatacentersDatacenterIDNotFound) WriteResponse

WriteResponse to the client

type PutDatacentersDatacenterIDParams

type PutDatacentersDatacenterIDParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: body
	*/
	Datacenter PutDatacentersDatacenterIDBody
	/*The UUID of the datacenter
	  Required: true
	  In: path
	*/
	DatacenterID strfmt.UUID
}

PutDatacentersDatacenterIDParams contains all the bound params for the put datacenters datacenter ID operation typically these are obtained from a http.Request

swagger:parameters PutDatacentersDatacenterID

func NewPutDatacentersDatacenterIDParams

func NewPutDatacentersDatacenterIDParams() PutDatacentersDatacenterIDParams

NewPutDatacentersDatacenterIDParams creates a new PutDatacentersDatacenterIDParams object

There are no default values defined in the spec.

func (*PutDatacentersDatacenterIDParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewPutDatacentersDatacenterIDParams() beforehand.

type PutDatacentersDatacenterIDURL

type PutDatacentersDatacenterIDURL struct {
	DatacenterID strfmt.UUID
	// contains filtered or unexported fields
}

PutDatacentersDatacenterIDURL generates an URL for the put datacenters datacenter ID operation

func (*PutDatacentersDatacenterIDURL) Build

func (o *PutDatacentersDatacenterIDURL) Build() (*url.URL, error)

Build a url path and query string

func (*PutDatacentersDatacenterIDURL) BuildFull

func (o *PutDatacentersDatacenterIDURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*PutDatacentersDatacenterIDURL) Must

func (o *PutDatacentersDatacenterIDURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*PutDatacentersDatacenterIDURL) SetBasePath

func (o *PutDatacentersDatacenterIDURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*PutDatacentersDatacenterIDURL) String

String returns the string representation of the path with query string

func (*PutDatacentersDatacenterIDURL) StringFull

func (o *PutDatacentersDatacenterIDURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*PutDatacentersDatacenterIDURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL